[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#700694: marked as done (bzr-git: Several issues with DEP-8 tests)

Your message dated Fri, 24 May 2013 03:17:51 +0000
with message-id <E1UfiVr-0004zP-G6@franck.debian.org>
and subject line Bug#700694: fixed in bzr-git 0.6.9-3
has caused the Debian Bug report #700694,
regarding bzr-git: Several issues with DEP-8 tests
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

700694: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=700694
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: bzr-git
Version: 0.6.9-2
Severity: normal
Tags: patch

bzr-git has several problems with DEP-8 tests, which currently makes them fail.

The attached debdiff does the following changes (quoted from the changelog):

- Use $ADTTMP instead of $TMPDIR.
- Drop now default "Features: no-build-needed".
- Add missing dependencies on bzr-git and python-subunit.
- Redirect stderr of git clone to stdout.
- Make tests fail on upstream testsuite failure.

I've not tested it in a clean environment, but these fixes at least make the tests
succeed *for me*.

Dmitry Shachnev

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (700, 'unstable'), (500, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/4 CPU cores)
Locale: LANG=ru_RU.utf8, LC_CTYPE=ru_RU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information
diff -Nru bzr-git-0.6.9/debian/changelog bzr-git-0.6.9/debian/changelog
--- bzr-git-0.6.9/debian/changelog	2012-12-13 22:21:22.000000000 +0400
+++ bzr-git-0.6.9/debian/changelog	2013-02-16 13:56:37.000000000 +0400
@@ -1,3 +1,14 @@
+bzr-git (0.6.9-3) UNRELEASED; urgency=low
+  * Several fixes for DEP-8 tests:
+    - Use $ADTTMP instead of $TMPDIR.
+    - Drop now default "Features: no-build-needed".
+    - Add missing dependencies on bzr-git and python-subunit.
+    - Redirect stderr of git clone to stdout.
+    - Make tests fail on upstream testsuite failure.
+ -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 16 Feb 2013 13:52:37 +0400
 bzr-git (0.6.9-2) experimental; urgency=low
   * Orphan package.
diff -Nru bzr-git-0.6.9/debian/tests/control bzr-git-0.6.9/debian/tests/control
--- bzr-git-0.6.9/debian/tests/control	2012-12-13 22:19:31.000000000 +0400
+++ bzr-git-0.6.9/debian/tests/control	2013-02-16 13:40:46.000000000 +0400
@@ -1,6 +1,5 @@
 Tests: testsuite
-Depends: bzr, python-bzrlib.tests, git
-Features: no-build-needed
+Depends: git, bzr-git, python-bzrlib.tests, python-subunit
 Tests: git-remote
-Depends: git, bzr
+Depends: git, bzr-git
diff -Nru bzr-git-0.6.9/debian/tests/git-remote bzr-git-0.6.9/debian/tests/git-remote
--- bzr-git-0.6.9/debian/tests/git-remote	2012-12-13 22:19:31.000000000 +0400
+++ bzr-git-0.6.9/debian/tests/git-remote	2013-02-16 13:55:56.000000000 +0400
@@ -1,7 +1,7 @@
 #!/bin/sh -e
-cd "$TMPDIR"
+cd "$ADTTMP"
 bzr init foo.bzr
 bzr ci --quiet --unchanged -m "Some commit" foo.bzr
-git clone "bzr::foo.bzr" foo.git
+git clone "bzr::foo.bzr" foo.git 2>&1
 cd foo.git && git log | grep "Some commit"
diff -Nru bzr-git-0.6.9/debian/tests/testsuite bzr-git-0.6.9/debian/tests/testsuite
--- bzr-git-0.6.9/debian/tests/testsuite	2012-12-13 22:19:31.000000000 +0400
+++ bzr-git-0.6.9/debian/tests/testsuite	2013-02-16 13:56:16.000000000 +0400
@@ -1,4 +1,5 @@
 # Note that since the installed version of the package has to be tested,
 # there is no mucking about with BZR_PLUGINS_AT.
+set -e
 bzr selftest -s bp.git -v --parallel=fork

--- End Message ---
--- Begin Message ---
Source: bzr-git
Source-Version: 0.6.9-3

We believe that the bug you reported is fixed in the latest version of
bzr-git, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700694@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Andrew Starr-Bochicchio <asb@debian.org> (supplier of updated bzr-git package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA256

Format: 1.8
Date: Thu, 23 May 2013 21:05:21 -0400
Source: bzr-git
Binary: bzr-git
Architecture: source all
Version: 0.6.9-3
Distribution: unstable
Urgency: low
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Changed-By: Andrew Starr-Bochicchio <asb@debian.org>
 bzr-git    - Bazaar plugin providing Git integration
Closes: 700694
 bzr-git (0.6.9-3) unstable; urgency=low
   [ Andrew Starr-Bochicchio ]
   * Upload to unstable.
   * Add myself to uploaders.
   * Bump Standards-Version to 3.9.4, no changes needed.
   * Update VCS fields.
   * Minor syntax fix in debian/copyright
   * Run wrap-and-sort on the control file.
   * debian/tests/git-remote: Make sure testsuite fails if the test does.
   [ Dmitry Shachnev ]
   * Several fixes for DEP-8 tests (Closes: #700694):
    - Use $ADTTMP instead of $TMPDIR.
    - Drop now default "Features: no-build-needed".
    - Add missing dependencies on bzr-git and python-subunit.
    - Redirect stderr of git clone to stdout.
    - Make tests fail on upstream testsuite failure.
 398a0d81f0799f567cab62908f630263c36c0dcf 2240 bzr-git_0.6.9-3.dsc
 26664e108a3af8716c46c34b0c0f2ba588903864 5198 bzr-git_0.6.9-3.debian.tar.gz
 d5a9455e7bd64afad48e038fe5888561487d6194 117206 bzr-git_0.6.9-3_all.deb
 9f89b0a4202a0b82839fd8bc405388f5abb1c5254a59ef9d687ba1212c1f0058 2240 bzr-git_0.6.9-3.dsc
 38b86f139b8a3bb25b600d980f9ed469c1702e6afc98f423eec1dafe43341014 5198 bzr-git_0.6.9-3.debian.tar.gz
 26ac3f331a845a1b9bf20c236f0c89890d1245933b0c8f628993648e3707d976 117206 bzr-git_0.6.9-3_all.deb
 20f452d758f73e75769a133f413c3048 2240 vcs optional bzr-git_0.6.9-3.dsc
 0af1c4af794f5e895669bbdc1a12e545 5198 vcs optional bzr-git_0.6.9-3.debian.tar.gz
 5b7bb31791fdc84092e8ffafda54a6fa 117206 vcs optional bzr-git_0.6.9-3_all.deb

Version: GnuPG v1.4.12 (GNU/Linux)


--- End Message ---

Reply to: